/*
DTWTemplateListItem.java -- DTREND PROJECT
Author: Tero Rontti
Version: 0.1
Revision date: 23.2.2002
Creation date: 10.2.2002


DTREND PROJECT
Project manager: Juha Ylipekkala
Project group: Timo Ahonen, Tero Rontti, Juha Ylipekkala

-------------------------------------------------------------------------------
REVISION HISTORY

Version 0.1
Initial working version
Author: Tero Rontti
Date: 23.2.2002
Known bugs/problems:
*/

package org.dtrend;

/** This class contains data for Template list items of the DTREND tool
 * @author Tero Rontti
 * @version 0.1
 */
public class DTWTemplateListItem{
    /** Template list item name */
    private String name;
    /** Template list item index */
    private int tIndex;

    /** Construct a new DTWTemplateListItem object */
    public DTWTemplateListItem() {
    } /** DTWTemplateListItem() ends */

    /** Set template list item name
     * @param newName New name
     */
    public void setName( String newName ){
	name = newName;
    } /** setName() ends */

    /** Get template name
     * @return Template name
     */
    public String getName( ){
	return name;
    } /** getName() ends */

    /** Set template index
     * @param newValue New template index
     */
    public void setTIndex( int newValue ){
	tIndex = newValue;
    } /** setTIndex() ends */

    /** Get template index
     * @return Template index
     */
    public int getTIndex( ){
	return tIndex;
    } /** getTIndex() ends */
}
