/*
DTWAllResultsElement.java -- DTREND PROJECT
Author: Tero Rontti
Version: 0.1
Revision date: 23.2.2002
Creation date: 10.2.2002


DTREND PROJECT
Project manager: Juha Ylipekkala
Project group: Timo Ahonen, Tero Rontti, Juha Ylipekkala

-------------------------------------------------------------------------------
REVISION HISTORY

Version 0.1
Initial working version
Author: Tero Rontti
Date: 23.2.2002
Known bugs/problems:
*/

package org.dtrend;

/** This class defines an element in all results array received from DTREND DLL
 * @author Tero Rontti
 * @version 0.1
 */
public class DTWAllResultsElement {
    private int tIndex;
    private float dtwDistance;

    /** Create a new DTWAllResultsElement object */
/*    public DTWAllResultsElement( ) {
      tIndex = -1;
      dtwDistance = Float.MAX_VALUE;
    } /** DTWAllResultsElementResult() ends */

    public DTWAllResultsElement( ){

    }

    /** Set template index.
     * @param newValue New index for the template
     */
    public void setTIndex( int newValue ){
	tIndex = newValue;
    } /** setTIndex() ends */

    /** Get template index.
     * @return Template index from attribute tIndex.
     */
    public int getTIndex( ){
	return tIndex;
    } /** getTIndex() ends */

    /** Set DTW distance.
     * @param newValue New DTW distance.
     */
    public void setDtwDistance( float newValue ){
	dtwDistance = newValue;
    } /** setDtwDistance() ends */

    /** Get DTW distance.
     * @return DTW distance from attribute dtwDistance
     */
    public float getDtwDistance( ){
	return dtwDistance;
    } /** getDtwDistance() ends */

}
